Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QPrinter.OutputFormat

    java.lang.Object
      java.lang.Enum<QPrinter.OutputFormat>
          com.trolltech.qt.gui.QPrinter.OutputFormat

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QPrinter.OutputFormat>

Enclosing class:
  QPrinter

    public static enum QPrinter.OutputFormat

extends java.lang.Enum<QPrinter.OutputFormat>
implements QtEnumerator

The `OutputFormat` enum is used to describe the format `QPrinter` should use for printing.

See Also:
  `outputFormat`, `setOutputFormat`, `setOutputFileName`

Enum Constant Summary
`NativeFormat` `QPrinter` will print output using a method defined by the platform it is running on.
`PdfFormat` `QPrinter` will generate its output as a searchable PDF file.
`PostScriptFormat` `QPrinter` will generate its output as in the PostScript format.

Method Summary
`static QPrinter.OutputFormat` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPrinter.OutputFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QPrinter.OutputFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NativeFormat

    public static final QPrinter.OutputFormat NativeFormat

  `QPrinter` will print output using a method defined by the platform it is running on. This mode is the default when printing directly to a printer.

### PdfFormat

    public static final QPrinter.OutputFormat PdfFormat

  `QPrinter` will generate its output as a searchable PDF file. This mode is the default when printing to a file.

### PostScriptFormat

    public static final QPrinter.OutputFormat PostScriptFormat

  `QPrinter` will generate its output as in the PostScript format. (This feature was introduced in Qt 4.2.)

Method Detail

### values

    public static final QPrinter.OutputFormat[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QPrinter.OutputFormat c : QPrinter.OutputFormat.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QPrinter.OutputFormat valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPrinter.OutputFormat resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD